> ## Documentation Index
> Fetch the complete documentation index at: https://docs.finscreener.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Screener

> Get screener details by ID

Retrieve a saved screener by its ID.

## Path Parameters

<ParamField path="screener_id" type="string" required>
  Screener ID
</ParamField>

## Headers

<ParamField header="Authorization" type="string" required>
  Bearer token: `Bearer <access_token>`
</ParamField>

## Response

<ResponseField name="data" type="object">
  Screener details including name, type, query, and description
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X GET "https://api.finscreener.in/api/screener/screeners/scr_123" \
    -H "Authorization: Bearer YOUR_ACCESS_TOKEN"
  ```
</RequestExample>

<ResponseExample>
  ```json Success theme={null}
  {
    "data": {
      "id": "scr_123",
      "name": "Mumbai IT Companies",
      "type": "company",
      "query": "City == 'Mumbai' AND NICCode IN [62011, 62012]",
      "description": "IT companies in Mumbai",
      "created_at": "2026-01-15T10:30:00Z"
    }
  }
  ```
</ResponseExample>
